Imports Reports

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            Me.ReportViewer1.Report = New Report1()
        End If
    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim report As Telerik.Reporting.Report = Me.ReportViewer1.Report
        report.ReportParameters(0).Value = Me.TextBox1.Text
        Me.ReportViewer1.Report = report
    End Sub
End Class
